=== docs/Makefile ===

DESTDIR = /usr/local/xrdp
CFGDIR = /etc/xrdp
PIDDIR = /var/run
MANDIR = /usr/local/man
DOCDIR = /usr/doc/xrdp

all: world

world:

install:

installdeb:
	install man/sesman.8 $(DESTDIRDEB)/usr/man/man8/sesman.8
	install man/sesrun.8 $(DESTDIRDEB)/usr/man/man8/sesrun.8
	install man/xrdp.8 $(DESTDIRDEB)/usr/man/man8/xrdp.8
	install man/sesman.ini.5 $(DESTDIRDEB)/usr/man/man5/sesman.ini.5
	install man/xrdp.ini.5 $(DESTDIRDEB)/usr/man/man5/xrdp.ini.5
