=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

LDFLAGS = -lpthread

override_dh_auto_configure:
	./bootstrap
	./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
	find -name Makefile | while read i; do sed -e 's#\(XRDP_PID_PATH.*/run\)#\1/xrdp#g' -i "$$i"; done

override_dh_makeshlibs:
	dh_makeshlibs -a -n
override_dh_installman:
	dh_installman -a debian/xrdp-keygen.8
override_dh_installpam:
	dh_installpam --name=sesman
	rm debian/xrdp/etc/pam.d/xrdp-sesman

override_dh_installdeb:
	# Clean up some files
	rm debian/xrdp/etc/xrdp/xrdp.sh
	rm debian/xrdp/usr/lib/xrdp/*a
	rm debian/xrdp/usr/bin/xrdp-sestest
	# Use our own startwm.sh
	install -m 755 debian/startwm.sh debian/xrdp/etc/xrdp
	# Move rsakeys to documentation
	mv debian/xrdp/etc/xrdp/rsakeys.ini debian/xrdp/usr/share/doc/xrdp
	dh_installdeb -a
