=== debian/changelog ===
xrdp (0.5.0-2+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix regression added by CVE-2017-16927 patch. Thanks for Frank Richter for
    the report and the patch.

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 12 Dec 2017 11:42:09 -0200

xrdp (0.5.0-2+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2017-16927: The scp_v0s_accept function in
    sesman/libscp/libscp_v0.c in the session manager in xrdp uses an untrusted
    integer as a write length, which allows local users to cause a denial of
    service (buffer overflow and application crash) or possibly have
    unspecified other impact via a crafted input stream.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 27 Nov 2017 16:57:57 -0200

xrdp (0.5.0-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2017-6967:
    xrdp calls the PAM function auth_start_session() in an incorrect location,
    leading to PAM session modules not being properly initialized, with a
    potential consequence of incorrect configurations or elevation of
    privileges, aka a pam_limits.so bypass.

 -- Markus Koschany <apo@debian.org>  Mon, 27 Mar 2017 08:49:09 +0200

xrdp (0.5.0-2) unstable; urgency=low

  * Remove sesman logs on purge. Closes: #656212.
  * Don't create /var/log/sesman.log in postinst. sesman is now able to
    create it.
  * Don't create Unix socket in /tmp. Put them in /var/run/xrdp.
    Closes: #656210.
  * Bump Standards-Version to 3.9.2.

 -- Vincent Bernat <bernat@debian.org>  Sun, 22 Jan 2012 13:14:11 +0100

xrdp (0.5.0-1) unstable; urgency=low

  * New upstream version.
     + This version also happens to fix linking problems. Closes: #615803.
  * Support for some non-US keyboards whose keycodes may be greater than
    128 with a patch from Sasajima. Closes: #610961.

 -- Vincent Bernat <bernat@debian.org>  Sun, 18 Sep 2011 20:38:04 +0200
