=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 %:
 	dh $@
-
-LDFLAGS = -lpthread
 
 override_dh_auto_configure:
 	./bootstrap
