## xrdp 0.6.0

=== debian/changelog ===
xrdp (0.6.0-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Fixes a VNC security issue where the VNC password file is
    based on the user password.
    - debian/patches/CVE-2013-1430-1.patch: sesman: change vnc password file
      to guid
    - debian/patches/CVE-2013-1430-2.patch: sesman: work on guid / vnc
      password file
    - debian/patches/CVE-2013-1430-3.patch: xrdp,vnc: work on guid / vnc
      password file
    - debian/patches/CVE-2013-1430-4.patch: xrdp,vnc: password fixes
    - debian/patches/CVE-2013-1430-5.patch: vnc: add const and comments to
      rfbEncryptBytes
    - debian/patches/CVE-2013-1430-6.patch: sesman, xrdp: const, spacing
      changes
    - CVE-2013-1430

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Fri, 21 Dec 2018 11:30:15 -0200

xrdp (0.6.0-1) unstable; urgency=low

  * New upstream version. Closes: #687039.
  * Drop 07-unix-socks-in-var-run.patch: upstream now creates a dedicated
    directory for Unix sockets in /tmp (with mkdtemp).
  * Drop the following patches, applied upstream:
      + alt-gr-fix.patch
      + keycode-fix.patch
  * Bump Standards-Version to 3.9.3.
  * Enable hardening.

 -- Vincent Bernat <bernat@debian.org>  Sat, 29 Sep 2012 13:00:49 +0200
