## xrdp 0.6.1

=== debian/changelog ===
xrdp (0.6.1-2ubuntu0.3) xenial-security; urgency=medium

  * SECURITY REGRESSION: Fix conection problem (LP: #1811122).

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 16 Jan 2019 22:26:35 -0200

xrdp (0.6.1-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Fixes a VNC security issue where the VNC password file is
    based on the user password.
    - debian/patches/CVE-2013-1430-1.patch: sesman: change vnc password file
      to guid
    - debian/patches/CVE-2013-1430-2.patch: sesman: work on guid / vnc
      password file
    - debian/patches/CVE-2013-1430-3.patch: xrdp,vnc: work on guid / vnc
      password file
    - debian/patches/CVE-2013-1430-4.patch: xrdp,vnc: password fixes
    - debian/patches/CVE-2013-1430-5.patch: vnc: add const and comments to
      rfbEncryptBytes
    - debian/patches/CVE-2013-1430-6.patch: sesman, xrdp: const, spacing
      changes
    - CVE-2013-1430

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Tue, 08 Jan 2019 10:11:52 -0200

xrdp (0.6.1-2) unstable; urgency=medium

  [ Johannes Schauer ]
  * Check for libtoolize rather than libtool. Closes: #761793

  [ Vincent Bernat ]
  * Upload to unstable.
  * Bump Standards-Version to 3.9.6.

 -- Vincent Bernat <bernat@debian.org>  Tue, 07 Oct 2014 21:35:25 +0200

xrdp (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Add Norvegian keyboard definition, thanks to Dag-Erling
    Smørgrav. Closes: #709588
  * Use /etc/xrdp/km-default.ini as a fallback for keyboard definition
    before trying `en-US`. Patch from Petter Reinholdtsen. Closes: #709590.
  * Drop session reuse patch which was integrated upstream. Closes: #710007.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.5.
  * Add Lintian overrides for missing manual pages.

 -- Vincent Bernat <bernat@debian.org>  Sat, 18 Jan 2014 14:50:45 +0100
