=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, libpam0g-dev,
+Build-Depends: debhelper (>= 9), libssl-dev, libpam0g-dev,
 	       autoconf (>= 2.59), automake (>= 1.6), libtool,
 	       libx11-dev, libxfixes-dev, libfreerdp-dev, pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://xrdp.sourceforge.net
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xrdp.git
-Vcs-Git: git://git.debian.org/git/collab-maint/xrdp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xrdp.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/xrdp.git
 
 Package: xrdp
 Architecture: any
