=== debian/changelog ===
xrdp (0.9.0~20160601+git703fedd-2) unstable; urgency=medium

  * Fix build on non-linux platforms (due to systemd dependency).

 -- Dominik George <nik@naturalnet.de>  Wed, 08 Jun 2016 11:42:36 +0200

xrdp (0.9.0~20160601+git703fedd-1) unstable; urgency=medium

  [ Dominik George, Thorsten Glaser ]
  * New upstream release.
    + Taken from git because there are no recent releases
    + DFSG-free upstream, no more need for Debian patches
    + Working x11rdp backend (native X server access)
    + librfxcodec (better bitmap handling)
    + Better input handling (keymapping, pointer events)
    + xrdp's default backend is now xorgxrdp instead of VNC. This
      makes it get rid of various VNC-related issues and use of VNC
      is discouraged.
      (Closes: #666731, #688083, #685130, #774447, #816098, #469215,
      #780053, #654788, #709595, #709594, #735678, #798643, #469754,
      #741160)
  * Some changes in default config:
    + xorgxrdp is now default
    + Hide files/mountpoints in users' homes using dotfiles and XDG cache dir
  * Add systemd support
  * Full license audit
  * Better integrated X session startup script
  * Change of maintainership (Closes: #719624)
  * Add reportbug note about VNC backend issues
  * Make sure to report on relevant backend packages in reportbug

  [ Andreas Tille ]
  * Add myself as Uploader
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * Refresh quilt patches
  * Build-Depends: libxrandr-dev
  * Fix minor issues in d/rules
  * Fix license of files in common/*
  * Remove unused lintian-overrides
  * Fix section of manpage xrdp-dis.1
  * Fix spelling issue
  * Remove RPATH

  [ Mike Gabriel ]
  * debian/copyright:
    + Add auto-genericated template for copyright file.
  * debian/copyright:
    + Various format fixes in Copyright: fields.
    + Place all license texts at EOF.
    + No blanks in short license tags.
    + Add upstream contact's name.
  * debian/control:
    * Add myself to Uploaders: field.

  * Upload sponsored and reviewed by Mike Gabriel.

 -- Dominik George <nik@naturalnet.de>  Fri, 03 Jun 2016 00:14:00 +0200
