## xrdp 0.9.1~20161119+gite8308d5

=== debian/changelog ===
xrdp (0.9.1~20161119+gite8308d5-1) unstable; urgency=medium

  * New upstream commit picked.
    + Drop patches merged by upstream.
    + Drop some patches that had unnecessary diversions from upstream.
    + Update remaining patches.
    + Enables a test suite for xorgxrdp.
  * Update patch headers.
  * Move to Debian Remote Maintainers team.

 -- Dominik George <nik@naturalnet.de>  Tue, 22 Nov 2016 17:16:51 +0100

xrdp (0.9.0~20161027+gitc524b06-1) unstable; urgency=medium

  * New upstream version 0.9.0~20161027+gitc524b06.
  * Remove unnecessary dh-systemd dependency.
  * Depend on lsb-base.
  * Suggest guacamole.
  * Fix build with OpenSSL 1.1.0. (Closes: #828610)
  * Be more aggressive when creating /var/run directories.
     + Fixes upgrade path from 0.6.1. (Closes: #828868)
  * Move old, duplicate pam config to new name.
     + Fixes upgrade path from 0.6.1. (Closes: #836583)
  * Fix VCS URLs.

 -- Dominik George <nik@naturalnet.de>  Thu, 27 Oct 2016 22:53:12 +0200

xrdp (0.9.0~20161006+git132cc10-1) unstable; urgency=medium

  [ Dominik George ]
  * New upstream version 0.9.0~20161006+git132cc10
     - Improve many log messages.
     - Fixes for build on kfreebsd.
     - Fix typos and wording of docs and man pages.
     - Fixes to memory allocation and related things.
     - Fix in multi-monitor support in x11rdp.
     - Fix a segfault in x11rdp.
     - Better region rendring code with pixman.
     - Fix for issues with non-ASCII characters in clipboard.
     - Add advanced SSL options in xrdp.ini
       - Disable SSLv2 by default.
     - Some keyboard fixes in x11rdp.
       - Add en-gb keyboard mapping.
     - Fixes to socket handling.
  * Refresh quilt patches.
  * Refresh patches
  * Update copyright.
  * Move to team maintenance (Debian Edu Packaging Team).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2016 12:50:16 +0200

xrdp (0.9.0~20160601+git703fedd-3) unstable; urgency=medium

  * Properly handle conffile on upgrade (Closes: #826901)

 -- Dominik George <nik@naturalnet.de>  Fri, 10 Jun 2016 08:14:25 +0200
