## xrdp 0.9.1~2016121126+git5171fa7

=== debian/changelog ===
xrdp (0.9.1~2016121126+git5171fa7-1) unstable; urgency=medium

  * New upstream commit picked.
     + Disables privilege elevation in X server.
     + Fix CVE-2013-1430.
  * Add upstream metadata. (Closes: #847401)
  * Fix autorun on direct client login. (Closes: #846055)
  * Do not force X core pointer (-retro) anymore to allow efficient
    pointer usage over RDP.

 -- Dominik George <nik@naturalnet.de>  Sun, 11 Dec 2016 14:55:09 +0100

xrdp (0.9.1~20161126+git589b29f-2) unstable; urgency=medium

  * Remove X log redirection to /dev/null. (Closes: #846160)
  * Fix up config patch broken in previous upload. (Closes: #846055)

 -- Dominik George <nik@naturalnet.de>  Tue, 29 Nov 2016 12:59:21 +0100

xrdp (0.9.1~20161126+git589b29f-1) unstable; urgency=medium

  * New upstream commit picked.
     + Bug fix for some socket issues. (Closes: #832112)
     + Bug fix for machines without IPv6. (Closes: #839266, #843981)
  * Remove old four-nibble keymap conffiles. (Closes: #845701)
  * Move git to pkg-remote.
  * Update patches.

 -- Dominik George <nik@naturalnet.de>  Sat, 26 Nov 2016 12:52:19 +0100
