=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
  xserver-xorg-core,
  xserver-xorg-dev,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-edu/pkg-team/xrdp.git
-Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/xrdp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/packages/xrdp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-remote/packages/xrdp.git
 Homepage: http://xrdp.sourceforge.net
 
 Package: xrdp
