=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VER ?= $(shell dpkg-parsechangelog -ldebian/changelog | perl -ne 'print $$1 if m{^Version:\s+([^+]+\+git[^-]+)};')
 
 LIBRFXCODEC_GIT ?= fb80d7d
-XORGXRDP_GIT ?= 1ae1bb2
+XORGXRDP_GIT ?= 575c0aa
 
 DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
